=== debian/control ===
Source: sudo
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
Build-Depends: debhelper (>= 10), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], mandoc, zlib1g-dev
Build-Conflicts: fakeroot (<< 1.25.3-1.1ubuntu1)
Standards-Version: 4.1.1
Vcs-Git: https://salsa.debian.org/sudo-team/sudo.git
Vcs-Browser: https://salsa.debian.org/sudo-team/sudo
Homepage: https://www.sudo.ws/

Package: sudo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
Conflicts: sudo-ldap
Replaces: sudo-ldap
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.
 .
 This version is built with minimal shared library dependencies, use the
 sudo-ldap package instead if you need LDAP support for sudoers.

Package: sudo-ldap
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
Conflicts: sudo
Replaces: sudo
Provides: sudo
Description: Provide limited super user privileges to specific users
 Sudo is a program designed to allow a sysadmin to give limited root
 privileges to users and log root activity.  The basic philosophy is to give
 as few privileges as possible but still allow people to get their work done.
 .
 This version is built with LDAP support, which allows an equivalent of the
 sudoers database to be distributed via LDAP.  Authentication is still
 performed via pam.
