## sudo 1.9.9

=== debian/changelog ===
sudo (1.9.9-1ubuntu2) jammy; urgency=medium

  * d/t/control: skip 03-getroot-ldap autopkgtest on non-containers

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 14 Feb 2022 12:48:05 +0100

sudo (1.9.9-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/control:
      + Build-Conflicts on fakeroot (<< 1.25.3-1.1ubuntu1)
    - debian/rules:
      + compile with --without-lecture --with-tty-tickets --enable-admin-flag
    - debian/sudo[-ldap].manpages: install man/man8/sudo_root.8
    - debian/sudo[-ldap].init: delete init scripts, as they are no longer
      necessary.
    - debian/etc/pam.d/sudo[-i]:
      + Use pam_env to read /etc/environment and /etc/default/locale
        environment files. Reading ~/.pam_environment is not permitted due
        to security reasons.
    - debian/etc/sudoers:
      + also grant admin group sudo access
      + include /snap/bin in the secure_path
    - debian/tests/control: 03-getroot-ldap:
      + allow removal of 'sudo' in autopkgtest (SUDO_FORCE_REMOVE=yes)
  * Dropped changes:
    - debian/rules:
       + use dh-autoreconf (converted to using dh)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 08 Feb 2022 12:01:45 +0100

sudo (1.9.9-1) unstable; urgency=medium

  * new upstream version
    * audit plugin now handles unresolvable hostname better
      Thanks to Sven Mueller (Closes: #1001969)
    * better document environment handling.
      Thanks to Arnout Engelen (Closes: #659101)
    * README files now come as markdown
    * schemas are now in docs subdirectory
    * LICENSE is now LICENSE.md

  [ Marc Haber ]
  * refresh patches
    * mark paths-in-samples.diff expicitly as not forwarded
  * have systemd-tmpfiles clean up /run/sudo on boot
  * lintian overrides:
    * improve 'em in various places
    * give better explanations
    * override long line warnings
    * override typo warning for a literal film quote
    * use correct lintian tag for override init script without unit
  * init script / systemd units
    * guarantee init script no-op on systemd systems
    * mask sysv init script on systemd systems in postinst
      instead of debian/rules
    * actually remove masking of service in postrm
  * maintainer scripts
    * document when .dist file removal was added to that
      it can be eventually removed
    * document when alternative removal was added to that
      it can be eventually removed
  * add a test to check for presence of #1003969
  * Standards-Version: 4.6.0 (no changes)
  * use uscan version 4
  * honor nocheck DEB_BUILD_OPTION

  [ Hilko Bengen ]
  * More improvement for Lintian overrides
  * Convert debian/copyright to machine-readable format, using
    information from upstream-provided LICENSE.md file

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 31 Jan 2022 20:19:55 +0100

sudo (1.9.8p2-1) unstable; urgency=medium

  * add more autopkgtests (especially for LDAP)
  * improve existing autopkgtests
  * debian/patches:
    * Remove typo-in-classic-insults.diff, reflectinc upstream's decision
      to not fix the typo as a way of remembering Evi Nemeth.
    * remove unneeded sudo-success_return. patch
    * mark debian/patches/sudo-ldap-docs as Forwarded: not-needed
    * add DEP3 headers
  * mention #1001858 in sudo.prerm
  * comment some lintian-overrides with unclear results

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 18 Dec 2021 14:55:08 +0100

sudo (1.9.8p2-1~exp1) experimental; urgency=medium

  [ Marc Haber ]
  * new upstream version 1.9.8p2-1
    * this correctly handles double defined alases (Closes: #985412)
    * improve sudoers.ldap.manpage. Thanks to Dennis Filder and
      Eric Brun (Closes: #981190)
    * refresh patches
  * remove prompting for wrong sudo group id (Closes: #605576)
  * give better docs for LDAP success behavior.
    Thanks to Dennis Filder (Closes: 981190)
  * remove unneeded mandoc from Build-Depends.
    Thanks to Ingo Schwarze
  * Restore inclusion of pam_limits.so PAM module.
    Thanks to Salvatore Bonaccorso (Closes: 518464)
  * Use @includedir in sudoers.d/README (Closes: #993815)
  * Other improvements for sudoers.d/README.
    Thanks to Josh Triplett (Closes: #994962)
  * add some (simple) autopkgtests
  * better short description for sudo-ldap
  * use https in debian/watch
  * some changes to patch headers for Lintian
  * manually remove executable bit from shared libs
  * explicitly write set -e in maintainer scripts
  * debian/control: set Rules-Requires-Root: binary-targets
  * add first/trivial autopkgtests

  [ Hilko Bengen ]
  * Update lintian-overrides files
  * Remove group sudo / gid=27 check from postinst scripts

  [ Otto Kekäläinen ]
  * Add basic Salsa-CI for project quality assurance

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 12 Dec 2021 22:45:15 +0100

sudo (1.9.6-1~exp2) experimental; urgency=low

  [ Marc Haber ]
  * add use_pty to default configuration, fixing CVE-2005-4890.
    Thanks to Daniel Kahn Gillmor (Closes: #657784)
  * Add group specific defaults for environment variables (commented out)
    Thanks to Josh Triplett
  * remove --disable-setresuid from sudo-ldap as well.
    Thanks to Dennis Filder (Closes: #985307)

  [ Hilko Bengen ]
  * Add PAM config for interactive login use (Closes: #690044)
  * Actually configure sudo to use pam / sudo-i

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 02 Apr 2021 18:15:21 +0200

sudo (1.9.6-1~exp1) experimental; urgency=medium

  * new upstream version
  * add upstream signature
  * refresh patches
  * remove NO_ROOT_MAILER patch (incorporated upstream)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 12 Mar 2021 22:06:59 +0100

sudo (1.9.5p2-3+exp1) experimental; urgency=medium

  [ Marc Haber ]
  * convert package to dh
    * rename init scripts to be picked up by new debhelper
    * rename and update lintian overrides
    * let /run directory be created by systemd

