=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
-Build-Depends: debhelper (>= 10), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], mandoc, zlib1g-dev
+Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
+  Hanno Wagner <wagner@debian.org>,
+  Hilko Bengen <bengen@debian.org>,
+  Bastian Blank <waldi@debian.org>
+Build-Depends: debhelper-compat (= 13), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], zlib1g-dev
 Build-Conflicts: fakeroot (<< 1.25.3-1.1ubuntu1)
-Standards-Version: 4.1.1
+Standards-Version: 4.6.0
+Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/sudo-team/sudo.git
 Vcs-Browser: https://salsa.debian.org/sudo-team/sudo
 Homepage: https://www.sudo.ws/
@@ -13,6 +18,7 @@
 Package: sudo
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo-ldap
 Replaces: sudo-ldap
 Description: Provide limited super user privileges to specific users
@@ -26,10 +32,11 @@
 Package: sudo-ldap
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
+Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo
 Replaces: sudo
 Provides: sudo
-Description: Provide limited super user privileges to specific users
+Description: Provide limited super user privileges (with LDAP support)
  Sudo is a program designed to allow a sysadmin to give limited root
  privileges to users and log root activity.  The basic philosophy is to give
  as few privileges as possible but still allow people to get their work done.
