=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/default.mk

define CONFIGURE_ARGS
	-v
	--with-all-insults
	--with-pam --with-pam-login
	--with-fqdn
	--with-logging=syslog
	--with-logfac=authpriv
	--with-env-editor
	--with-editor=/usr/bin/editor
	--with-exampledir=/usr/share/doc/sudo/examples
	--with-timeout=15
	--with-password-timeout=0
	--with-passprompt="[sudo] password for %p: "
	--disable-root-mailer
	--with-sendmail=/usr/sbin/sendmail
	--with-rundir=/run/sudo
	--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
	--enable-zlib=system
endef

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_ARGS += --with-selinux --with-linux-audit --enable-tmpfiles.d=yes
endif

ifeq ($(DEB_VENDOR),Ubuntu)
CONFIGURE_ARGS += --without-lecture --with-tty-tickets --enable-admin-flag
endif

%:
		dh $@

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-simple -- $(strip $(CONFIGURE_ARGS))
	dh_auto_configure --builddirectory build-ldap   -- $(strip $(CONFIGURE_ARGS)) \
		--with-ldap --with-ldap-conf-file=/etc/sudo-ldap.conf

override_dh_auto_clean override_dh_auto_build:
	$(patsubst override_%,%,$@) --builddirectory build-simple
	$(patsubst override_%,%,$@) --builddirectory build-ldap

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --builddirectory build-simple
	dh_auto_test --builddirectory build-ldap
endif

override_dh_auto_install:
	dh_auto_install --builddirectory build-simple --destdir debian/sudo
	dh_auto_install --builddirectory build-ldap --destdir debian/sudo-ldap

	rm -f debian/sudo*/etc/sudoers \
	      debian/sudo*/usr/share/doc/sudo/LICENSE.md \
	      debian/sudo*/usr/share/doc/sudo*/ChangeLog
	rm -rf debian/sudo*/run
	find debian/sudo*/ -type f -name '*.la' | xargs rm -f

	for pkg in sudo sudo-ldap; do \
		mv debian/$$pkg/etc/sudoers.dist \
		   debian/$$pkg/usr/share/doc/sudo/examples/sudoers.dist; \
	done

	# move upstream-installed docs to the right place for ldap package
	mv debian/sudo-ldap/usr/share/doc/sudo \
	   debian/sudo-ldap/usr/share/doc/sudo-ldap

execute_after_dh_fixperms:
	# fix executable libraries
	chmod 0644 debian/sudo*/usr/libexec/sudo/*.so

override_dh_fixperms:
	dh_fixperms --exclude=usr/bin/sudo

override_dh_installchangelogs:
	dh_installchangelogs --exclude=HISTORY
