=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
+Maintainer: Sudo Maintainers <sudo@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
   Hanno Wagner <wagner@debian.org>,
   Hilko Bengen <bengen@debian.org>,
   Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper-compat (= 13), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], zlib1g-dev
-Build-Conflicts: fakeroot (<< 1.25.3-1.1ubuntu1)
+Build-Depends: debhelper-compat (= 13), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev, zlib1g-dev
 Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Vcs-Git: https://salsa.debian.org/sudo-team/sudo.git
@@ -17,7 +15,7 @@
 
 Package: sudo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, libpam-modules, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo-ldap
 Replaces: sudo-ldap
@@ -31,7 +29,7 @@
 
 Package: sudo-ldap
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, libpam-modules, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo
 Replaces: sudo
