=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 include /usr/share/dpkg/default.mk
 
 define CONFIGURE_ARGS
-	-v
 	--with-all-insults
 	--with-pam --with-pam-login
 	--with-fqdn
@@ -18,31 +17,36 @@
 	--with-logfac=authpriv
 	--with-env-editor
 	--with-editor=/usr/bin/editor
-	--with-exampledir=/usr/share/doc/sudo/examples
 	--with-timeout=15
 	--with-password-timeout=0
 	--with-passprompt="[sudo] password for %p: "
+	--with-tty-tickets
+	--without-lecture
 	--disable-root-mailer
 	--with-sendmail=/usr/sbin/sendmail
 	--with-rundir=/run/sudo
 	--with-sssd --with-sssd-lib=/usr/lib/$(DEB_HOST_MULTIARCH)
 	--enable-zlib=system
+	--enable-admin-flag
 endef
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFIGURE_ARGS += --with-selinux --with-linux-audit --enable-tmpfiles.d=yes
+CONFIGURE_ARGS += --with-selinux --with-linux-audit 
 endif
 
-ifeq ($(DEB_VENDOR),Ubuntu)
-CONFIGURE_ARGS += --without-lecture --with-tty-tickets --enable-admin-flag
-endif
+# Consistently use /bin/mv to ensure reproducible builds regardless of
+# building on a usrmerge or non-usrmerge system.
+CONFIGURE_ARGS += MVPROG=/bin/mv
 
 %:
 		dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure --builddirectory build-simple -- $(strip $(CONFIGURE_ARGS))
+	dh_auto_configure --builddirectory build-simple -- $(strip $(CONFIGURE_ARGS)) \
+		--with-exampledir=/usr/share/doc/sudo/examples
 	dh_auto_configure --builddirectory build-ldap   -- $(strip $(CONFIGURE_ARGS)) \
+		--with-exampledir=/usr/share/doc/sudo-ldap/examples \
+		--docdir=/usr/share/doc/sudo-ldap \
 		--with-ldap --with-ldap-conf-file=/etc/sudo-ldap.conf
 
 override_dh_auto_clean override_dh_auto_build:
@@ -60,19 +64,16 @@
 	dh_auto_install --builddirectory build-ldap --destdir debian/sudo-ldap
 
 	rm -f debian/sudo*/etc/sudoers \
-	      debian/sudo*/usr/share/doc/sudo/LICENSE.md \
-	      debian/sudo*/usr/share/doc/sudo*/ChangeLog
+	      debian/sudo*/usr/share/doc/sudo*/LICENSE.md \
 	rm -rf debian/sudo*/run
 	find debian/sudo*/ -type f -name '*.la' | xargs rm -f
 
 	for pkg in sudo sudo-ldap; do \
 		mv debian/$$pkg/etc/sudoers.dist \
-		   debian/$$pkg/usr/share/doc/sudo/examples/sudoers.dist; \
+		   debian/$$pkg/usr/share/doc/$$pkg/examples/sudoers.dist; \
+		mkdir -p debian/$$pkg/lib/systemd/system; \
+		ln -s /dev/null debian/$$pkg/lib/systemd/system/sudo.service; \
 	done
-
-	# move upstream-installed docs to the right place for ldap package
-	mv debian/sudo-ldap/usr/share/doc/sudo \
-	   debian/sudo-ldap/usr/share/doc/sudo-ldap
 
 execute_after_dh_fixperms:
 	# fix executable libraries
