## sudo 1.9.12p2

=== debian/changelog ===
sudo (1.9.12p2-1) unstable; urgency=high

  * new upstream version 1.9.12p2
  * this fixes CVE-2023-22809:
    Sudoedit can edit arbitrary files

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 18 Jan 2023 16:19:23 +0100

sudo (1.9.12p1-1) unstable; urgency=low

  * new upstream version 1.9.12p1
  * update patches
  * update debian/copyright
  * Add upstream patch to silence libgcrypt error message.
    Thanks to Francesco P. Lovergine (Closes: #1019428)
  * Standards-Version: 4.6.2 (no changes necessary)
  * clean out obsolete lintian overrides
  * Add patch to disable regeneration of upstream ChangeLog from git.
    Thanks to Gioele Barabucci (Closes: #1025740)
  * remove extra whitespace from debconf-get-selections output.
  * add autopkgtest for sudo with sssd (Closes: #1004910)

  [ Niels Thykier ]
  * Support building sudo without (fake)root.

  [ Gioele Barabucci ]
  * Use dh_installnss to add ldap to sudoers NSS database
  * Add libnss-sudo package. (Closes: #1023524)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 15 Jan 2023 13:58:48 +0100
