=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
   Hanno Wagner <wagner@debian.org>,
   Hilko Bengen <bengen@debian.org>,
   Bastian Blank <waldi@debian.org>
-Build-Depends: debhelper-compat (= 13), libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev, zlib1g-dev
-Standards-Version: 4.6.0
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 13), dh-sequence-installnss, libpam0g-dev, libldap2-dev, libsasl2-dev, libselinux1-dev [linux-any], autoconf, bison, flex, libaudit-dev [linux-any], zlib1g-dev
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/sudo-team/sudo.git
 Vcs-Browser: https://salsa.debian.org/sudo-team/sudo
 Homepage: https://www.sudo.ws/
 
 Package: sudo
 Architecture: any
-Depends: ${shlibs:Depends}, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo-ldap
 Replaces: sudo-ldap
@@ -29,7 +29,7 @@
 
 Package: sudo-ldap
 Architecture: any
-Depends: ${shlibs:Depends}, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnss-sudo, libpam-modules, lsb-base
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo
 Replaces: sudo
@@ -42,3 +42,11 @@
  This version is built with LDAP support, which allows an equivalent of the
  sudoers database to be distributed via LDAP.  Authentication is still
  performed via pam.
+
+Package: libnss-sudo
+Architecture: all
+Depends: ${misc:Depends}
+Multi-Arch: foreign
+Description: NSS configuration for sudoers service
+ This empty package provides the basic configuration needed to enable the
+ `sudoers` NSS service.
