=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
   Hanno Wagner <wagner@debian.org>,
   Hilko Bengen <bengen@debian.org>,
@@ -15,7 +16,7 @@
 
 Package: sudo
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo-ldap
 Replaces: sudo-ldap
@@ -29,7 +30,7 @@
 
 Package: sudo-ldap
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnss-sudo, libpam-modules, lsb-base
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnss-sudo, libpam-modules
 Pre-Depends: ${misc:Pre-Depends}
 Conflicts: sudo
 Replaces: sudo
