## sudo 1.9.13p3

=== debian/changelog ===
sudo (1.9.13p3-1+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Local Privilege Escalation via host option (CVE-2025-32462)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 24 Jun 2025 09:29:50 +0200

sudo (1.9.13p3-1+deb12u1) bookworm; urgency=medium

  * add upstream patch to fix event log format.
    Thanks to Kimmo Suominen (Closes: #1039557)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 27 Jun 2023 13:45:00 +0200

sudo (1.9.13p3-1) unstable; urgency=medium

  * new upstream version:
    * Fix potential double free for CHROOT= rules
      CVE-2023-27320. (Closes: #1032163)
    * Fix --enable-static-sudoers regression
    * check for overflow as result of fuzzing efforts
    * Fix parser regression disallowing rules for user "list"
    * Fix eventloop hang if there is /dev/tty data
    * Fix sudo -l command args regression
    * Fix sudo -l -U someuser regression
    * Fix list privs regression

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 08 Mar 2023 21:17:05 +0100
