=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sudo
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sudo Maintainers <sudo@packages.debian.org>
+Maintainer: Sudo Maintainers <sudo@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>,
   Hanno Wagner <wagner@debian.org>,
   Hilko Bengen <bengen@debian.org>,
