=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,10 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+# the following line can go away after the bookworm release
+# iff no backports to bullseye and/or buster are planned.
+# See #1025683 for a comprehension question. If this is cleared,
+# the export can be commented out (but stay around as reminder for backports)
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 DPKG_EXPORT_BUILDFLAGS = 1
 
@@ -31,7 +35,7 @@
 endef
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFIGURE_ARGS += --with-selinux --with-linux-audit 
+CONFIGURE_ARGS += --with-selinux --with-linux-audit --enable-tmpfiles.d=/usr/lib/tmpfiles.d
 endif
 
 # Consistently use /bin/mv to ensure reproducible builds regardless of
@@ -60,8 +64,8 @@
 endif
 
 override_dh_auto_install:
-	dh_auto_install --builddirectory build-simple --destdir debian/sudo
-	dh_auto_install --builddirectory build-ldap --destdir debian/sudo-ldap
+	dh_auto_install --builddirectory build-simple --destdir debian/sudo -- INSTALL_OWNER=
+	dh_auto_install --builddirectory build-ldap --destdir debian/sudo-ldap -- INSTALL_OWNER=
 
 	rm -f debian/sudo*/etc/sudoers \
 	      debian/sudo*/usr/share/doc/sudo*/LICENSE.md \
